## tango 8.1.2c+dfsg

=== pogo/templates/cpp/Makefile ===
#=============================================================================
#
# file :        Makefile
#
# description : Include for the TemplateDevServ class.
#
# project :     Makefile to generate a Tango server
#
# $Author:  $
#
# $Revision: $
#
#
# copyleft :    European Synchrotron Radiation Facility
#               BP 220, Grenoble 38043
#               FRANCE
#
#=============================================================================
#  		This file is generated by POGO
#	(Program Obviously used to Generate tango Object)
#
#         (c) - Software Engineering Group - ESRF
#=============================================================================
#

CLASS      = TemplateDevServ
MAJOR_VERS = 1
MINOR_VERS = 0
RELEASE    = Release_$(MAJOR_VERS)_$(MINOR_VERS)

#-----------------------------------------
#	Set default home directories
#-----------------------------------------

TANGO_HOME   =  /usr/local
CPP_SERVERS  =  $(TANGO_HOME)/cppserver

ifdef no_debug
	DEBUG = -O
else
	DEBUG = -g
endif

ifdef _solaris
CC = CC 

AR_SL = $(CC) -mt -G
VERS_OPT = -h
SL_EXT = so
endif

ifdef linux
CC = c++
CC_SHLIB = $(CC)  -fPIC
AR = ar

AR_SL = $(CC) -fPIC -shared 
SL_EXT = so
VERS_OPT = -Wl,-soname,
endif

INCLUDE_DIRS =  -I$(TANGO_HOME)/include/tango \
					 -I/segfs/tango/ORB/omniORB4.1.6/ubuntu1204/include \
					 -I.	\
                -I$(CPP_SERVERS)/include

OBJS_DIR    = obj
LIB_DIRS    = -L $(TANGO_HOME)/lib \
				  -L /segfs/tango/ORB/omniORB4.1.6/ubuntu1204/lib

TARGET_LIB = $(CPP_SERVERS)/lib/libtgclasses.a


#-----------------------------------------
#	Set  CXXFLAGS and LFLAGS
#-----------------------------------------
ifdef _solaris
CXXFLAGS =  $(DEBUG) -mt -D_PTHREADS $(INCLUDE_DIRS)
LFLAGS =  $(DEBUG) $(LIB_DIRS)  		\
				-ltango			\
				-llog4tango		\
				-lomniORB4 		\
				-lomniDynamic4	\
				-lomnithread	\
				-lCOS4			\
				-lpthread		\
				-lposix4 -lsocket -lnsl
endif

ifdef linux
CXXFLAGS =  $(DEBUG) -D_REENTRANT $(INCLUDE_DIRS)
LFLAGS =  $(DEBUG) $(LIB_DIRS)  		\
				-ltango			\
				-llog4tango		\
				-lomniORB4 		\
				-lomniDynamic4	\
				-lomnithread	\
				-lCOS4			\
				-ldl -lpthread
endif




#-----------------------------------------
#	Set  dependences
#-----------------------------------------

SVC_OBJS = $(OBJS_DIR)/main.o	\
		$(OBJS_DIR)/ClassFactory.o	\
		$(OBJS_DIR)/$(CLASS)Class.o	\
		$(OBJS_DIR)/$(CLASS)StateMachine.o	\
		$(OBJS_DIR)/$(CLASS).o

SHLIB_OBJS = $(OBJS_DIR)/$(CLASS)Class.so.o	\
		$(OBJS_DIR)/$(CLASS)StateMachine.so.o	\
		$(OBJS_DIR)/$(CLASS).so.o


SVC_INC = $(CLASS)Class.h \
		$(CLASS).h


$(OBJS_DIR)/%.o: %.cpp $(SVC_INC)
	$(CC) $(CXXFLAGS) -c $< -o $(OBJS_DIR)/$*.o
			
$(OBJS_DIR)/%.so.o: %.cpp $(SVC_INC)
	$(CC_SHLIB) $(CXXFLAGS) -c $< -o $(OBJS_DIR)/$*.so.o


#-----------------------------------------
#	 Make Entry
#-----------------------------------------
all: $(CLASS)
	
$(CLASS):	make_obj_dir make_bin_dir $(SVC_OBJS)
	$(CC) $(SVC_OBJS) -o $(CLASS) $(LFLAGS)
	@mv $(CLASS) bin/$(CLASS)

shlib:	make_obj_dir make_shlib_dir $(SHLIB_OBJS)
	$(AR_SL) -o \
		shlib/$(CLASS).$(SL_EXT).$(MAJOR_VERS).$(MINOR_VERS) \
		$(VERS_OPT)$(CLASS).$(SL_EXT).$(MAJOR_VERS) \
		$(SHLIB_OBJS) $(LFLAGS)
	@rm -f shlib/$(CLASS).$(SL_EXT)
	@cd  shlib; \
		ln -s $(CLASS).$(SL_EXT).$(MAJOR_VERS).$(MINOR_VERS) $(CLASS).$(SL_EXT)

clean:
	rm -f $(OBJS_DIR)/*.o  \
	$(OBJS_DIR)/*.so.o \
	bin/$(CLASS) \
	core

make_obj_dir:
	@mkdir -p obj

make_bin_dir:
	@mkdir -p bin

make_shlib_dir:
	@mkdir -p shlib
	
#-----------------------------------------
#	 Install binary file
#-----------------------------------------
install:
	cp bin/$(CLASS)  $(TANGO_HOME)/bin

#-----------------------------------------
#	 Update class library and header files
#	recompile without debug mode.
#-----------------------------------------
lib: clean
	@make no_debug=1
	cp *.h $(CPP_SERVERS)/include
	ar ruv $(TARGET_LIB) $(CLASS).o
	ar ruv $(TARGET_LIB) $(CLASS)Class.o
	ar ruv $(TARGET_LIB) $(CLASS)StateMachine.o
	ident  $(TARGET_LIB) | grep $(CLASS)

#----------------------------------------------------
#	Tag the CVS module corresponding to this class
#----------------------------------------------------
tag:
	@cvstag "$(CLASS)-$(RELEASE)"
	@make   $(CLASS)
	@make show_tag

show_tag:
	@cvstag -d

=== pogo/templates/java/Makefile ===
#+======================================================================
# $Source$
#
# Project:      Tango Device Server
#
# Description:  Makefile to generate the JAVA Tango classes package
#
# $Author: pascal_verdier $
#
# $Revision: 9742 $
#
# $Log$
#
# copyleft :    European Synchrotron Radiation Facility
#               BP 220, Grenoble 38043
#               FRANCE
#
#-======================================================================
#
#  		This file is generated by POGO
#	(Program Obviously used to Generate tango Object)
#
#         (c) - Software Engineering Group - ESRF
#/=============================================================================

JAVAC = javac -classpath ..:$(CLASSPATH)

# -----------------------------------------------------------------
#
#		The compiler flags
#
#------------------------------------------------------------------

JAVAFLAGS = -g

#-------------------------------------------------------------------


CLASS	=	TemplateDevServ
CL_LIST =	$(CLASS).class

PACKAGE = $(CLASS)


#
# Rule for compiling
#

.SUFFIXES:	.class .java
.java.class:
	$(JAVAC) $(JAVAFLAGS) $<

#-----------------------------------------------------------------


all:	$(PACKAGE)

$(PACKAGE): 	$(CL_LIST)


#-----------------------------------------------------------------
PACK_HOME = ..

jar:	$(PACKAGE)
	cd $(PACK_HOME); jar cvf		\
		$(PACKAGE)/$(PACKAGE).jar 	\
		$(PACKAGE)/*.class
	ls -l $(PACKAGE).jar 

#-----------------------------------------------------------------
doc:
	javadoc -d doc				\
	-windowtitle $(CLASS)		\
	-private 					\
	-version -author			\
	-nodeprecated				\
	-header "$(CLASS) Class"	\
	*.java

#-----------------------------------------------------------------

clean:
	rm -f *.class

=== debian/changelog ===
tango (8.1.2c+dfsg-7ubuntu3) xenial; urgency=medium

  * Added patch for removal of mysqlclient_r in MySQL 5.7 (LP:
    #1564871).

 -- Lars Tangvald <lars.tangvald@oracle.com>  Thu, 07 Apr 2016 10:05:38 +0200

tango (8.1.2c+dfsg-7ubuntu2) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 13:03:09 +0000

tango (8.1.2c+dfsg-7ubuntu1) xenial; urgency=medium

  * (Build-)depend on libzmq5-dev.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 19:15:12 +0100

tango (8.1.2c+dfsg-7) unstable; urgency=medium

  * debian/patches
    - 0009-fix-gcc5-compilation.patch (replace by)
    + 0009-fix-forwarded-upstream-gcc5.patch (better fix)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 13 Sep 2015 11:47:04 +0200

tango (8.1.2c+dfsg-6) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (nothing to do)
  * debian/control
    + Updated Vcs-Git
  * debian/patches
    + 0009-fix-gcc5-compilation.patch (Closes: #797285)
  * GCC5 transistion
    - Rename liblog4tango5 to liblog4tango5v5, triggered by the libstdc++6
    - Rename libtango8 to libtango8v5, triggered by the libstdc++6
    transition.
    - Add Conflict/Replaces with the old libraries.
    - Rename liblog4tango5-dbg to liblog4tango5v5-dbg.
    - Rename libtango8-dbg to libtango8v5-dbg.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 02 Sep 2015 18:34:07 +0200

tango (8.1.2c+dfsg-5) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5 (nothing to do)
  * debian/patches
    + 0008-fix-upsteam-p812_4.patch
  * create the user in the postinst to deal with the piuparts remaining
    files error. An empty tango home directory (/var/lib/tango) is part of
    tango-common so we let dpkg deal with its removal (Closes: #657146)
  * add the tango user to the video group. Some tango devices need access to
    video grabbers.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 01 May 2014 11:51:06 +0200

tango (8.1.2c+dfsg-4) unstable; urgency=medium

  * debian/patches
    + 0007-fix-upstream-p812_3.patch
  * Remove the debian version from the dbconfig-common upgrade files
    in preparation of the backport of tango.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 06 Feb 2014 09:49:26 +0100

tango (8.1.2c+dfsg-3) unstable; urgency=low

  * debian/patches
    + 0006-fix-upstream-p812_2.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 25 Nov 2013 20:42:41 +0100

tango (8.1.2c+dfsg-2) unstable; urgency=low

  * debian/rules
    - fix for real the build on ubuntu (mismatch between shell and
      makefile syntax) (LP: #1250534).
      The -Wl,symbolic-functions LDFLAGS is now stripped for real
  * debian/patches
    + 0005-forwarded-upstrean-fix-FTBFS-on-sparc64.patch
      (Closes: #729163) thanks Aurelien Jarno for the patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 13 Nov 2013 10:22:20 +0100

tango (8.1.2c+dfsg-1) unstable; urgency=low

  * Imported Upstream version 8.1.2c+dfsg
  * debian/patch
    + 0004-fix-upstream-p812_1.diff.patch
  * Add debconf translation:
    - Brazilian Portuguese, from Adriano Rafael Gomes (Closes: #721628)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 02 Sep 2013 17:53:39 +0200

tango (8.1.2b+dfsg-1) unstable; urgency=low

  * Imported Upstream version 8.1.2b+dfsg
  * update repack.local to remove the jzmq part
  * debian/control
    - add new binary packages:
      + liblog4tango5, liblog4tango5-dev, liblog4tango5-dbg
    - remove binary packages:
      + liblog4tango4, liblog4tango4-dev, liblog4tango4-dbg
  * debian/patches
    - deleted
      * 0004-upstream-fix-p805_1.patch
      * 0005-fix-forwaded-upstream-add-LIBZMQ_LIBS-to-libtango.patch
      * 0006-upstream-fix-p805_2.patch
      * 0007-upstream-attempt-to-fix-the-powerpc-FTBFS.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 11 Jun 2013 14:18:05 +0200

=== debian/control ===
Source: tango
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               libcos4-dev,
               libmysqlclient-dev,
               libzmq5-dev | libzmq-dev,
               po-debconf
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/tango.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/tango.git
Homepage: http://www.tango-controls.org

Package: liblog4tango5v5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: liblog4tango5
Replaces: liblog4tango5
Description: logging for TANGO - shared library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the files necessary for running applications that
 use the log4tango5 library.

Package: liblog4tango5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         liblog4tango5v5 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Conflicts: liblog4tango4-dev
Description: logging for TANGO - development library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the log4tango5 development files.

Package: liblog4tango5v5-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: ${misc:Depends},
         liblog4tango5v5 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: logging for TANGO - debug library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the debugging symbol for liblog4tango5v5.

Package: liblog4tango5-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Description: logging for TANGO - documentation
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the documentation of the log4tango5 library.

Package: libtango8v5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tango-common
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libtango8
Replaces: libtango8
Description: TANGO distributed control system - shared library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the files necessary for running TANGO applications.

Package: libtango8-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libcos4-dev,
         liblog4tango5-dev,
         libtango8v5 (= ${binary:Version}),
         libzmq5-dev
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libtango7-dev
Description: TANGO distributed control system - development library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the tango8 development files.

Package: libtango8v5-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: ${misc:Depends},
         libtango8v5 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: TANGO distributed control system - debug library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the debugging symbols for tango8.

Package: libtango8-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: TANGO distributed control system - documentation
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the documentation for the libtango8 library.

Package: libtango-tools
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: tango-common (<< 7.2.6+dfsg-2)
Description: TANGO distributed control system - common executable files
 This package provides shared files for the TANGO distributed control
 system, and sets up the required infrastructure.

Package: tango-common
Architecture: all
Multi-Arch: foreign
Section: net
Depends: ${misc:Depends},
         adduser
Description: TANGO distributed control system - common files
 This package provides shared files for the TANGO distributed control
 system, and sets up the required infrastructure. It is for now an
 empty package

Package: tango-db
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dbconfig-common,
         libtango-tools,
         lsb-base
Recommends: mysql-client
Description: TANGO distributed control system - database server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO database server using MySQL.

Package: tango-db-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         tango-db (= ${binary:Version})
Description: TANGO distributed control system - database debug
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package contains the debugging symbols for tango-db.

Package: tango-starter
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtango-tools,
         lsb-base
Suggests: omninotify
Description: TANGO distributed control system - starter server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO device control server. It can start, stop,
 or report the status of other TANGO components.

Package: tango-starter-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         tango-starter (= ${binary:Version})
Description: TANGO distributed control system - starter debug
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package contains the debugging symbols for tango-starter.

Package: tango-accesscontrol
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtango-tools,
         lsb-base,
         tango-db,
         tango-starter
Description: TANGO distributed control system - accesscontrol server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO accesscontrol server. It can be used to
 manage the users and IP addresses that are permitted to access TANGO
 devices.

Package: tango-accesscontrol-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         tango-accesscontrol (= ${binary:Version})
Description: TANGO distributed control system - accesscontrol debug
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package contains the debugging symbols for tango-accesscontrol.

Package: tango-test
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tango-starter
Description: TANGO distributed control system - test device
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.

=== debian/rules ===
#!/usr/bin/make -f

BUILDROOT=build
PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)+.*/\1/p')
FULLDEBVERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*-.*\)/\1/p')

CONFIGURE_OPTS := --with-omni=/usr --disable-static --disable-dbcreate --disable-java --with-doxygen --disable-jpegmmx

export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

sql:
	./configure $(CONFIGURE_OPTS)
	# use this target to generate the dbconfig-common upgrade script once the debian/changelog is ok
	cat cppserver/database/stored_proc.sql\
	    cppserver/database/update_db.sql > debian/mysql/$(FULLDEBVERSION)
	$(MAKE) distclean

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_install:
	dh_auto_install --destdir="$(CURDIR)/debian/tmp/"
	# install dbconfig-common scripts
	install -d debian/tmp/usr/share/dbconfig-common/data/tango-db/install
	install -p -m 644 $(CURDIR)/$(BUILDROOT)/cppserver/database/create_db.sql debian/tmp/usr/share/dbconfig-common/data/tango-db/install/mysql
	install -d debian/tmp/usr/share/dbconfig-common/data/tango-db/upgrade/mysql
	install -p -m 644 debian/mysql/* debian/tmp/usr/share/dbconfig-common/data/tango-db/upgrade/mysql

	# install scripts used during the configuration
	install -d debian/tmp/usr/share/tango-db
	install -p -m 644 $(CURDIR)/$(BUILDROOT)/cppserver/database/create_db_tables.sql debian/tmp/usr/share/tango-db/create_db_tables.sql
	install -p -m 644 $(CURDIR)/$(BUILDROOT)/cppserver/database/stored_proc.sql debian/tmp/usr/share/tango-db/stored_proc.sql
	install -p -m 600 $(CURDIR)/$(BUILDROOT)/cppserver/database/my.cnf debian/tmp/usr/share/tango-db/my.cnf

	# install the tango home dir
	install -d debian/tmp/var/lib/tango

override_dh_strip:
	dh_strip -plibtango8v5 --dbg-package=libtango8v5-dbg
	dh_strip -pliblog4tango5v5 --dbg-package=liblog4tango5v5-dbg
	dh_strip -ptango-db --dbg-package=tango-db-dbg
	dh_strip -ptango-starter --dbg-package=tango-starter-dbg
	dh_strip -ptango-accesscontrol --dbg-package=tango-accesscontrol-dbg
	dh_strip -ptango-test --dbg-package=tango-test-dbg
	dh_strip -a -Nlibtango8v5 -Nliblog4tango5v5 -Ntango-db -Ntango-starter -Ntango-accesscontrol -Ntango-test

override_dh_installinit:
	# the tango-accesscontrol device must be started after the tango-db.
	dh_installinit -ptango-accesscontrol --update-rcd-params="defaults 25"
	# the tango-starter device must be started after the tango-db and the tango-accesscontrol.
	dh_installinit -ptango-starter --update-rcd-params="defaults 30"
	dh_installinit -a -Ntango-accesscontrol -Ntango-starter

%:
	dh $@ --builddirectory=$(BUILDROOT) --with autoreconf

.PHONY: get-orig-source

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg// \
http://sf.net/tango-cs/tango-(.*)\.tar\.gz \
debian sh debian/repack.stub

## tango 9.2.5~rc1+dfsg1

=== debian/changelog ===
tango (9.2.5~rc1+dfsg1-2) unstable; urgency=medium

  * fixed mysql 9.2.5 the upgrade script

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 31 Oct 2016 16:51:54 +0100

tango (9.2.5~rc1+dfsg1-1) unstable; urgency=medium

  * Uploadced into Unstable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 31 Oct 2016 09:03:23 +0100

tango (9.2.5~rc1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream version 9.2.5~rc1+dfsg1
  * Use default-libmysqlclient-dev instead of libmysqlclient-dev in
    order to support also MariaDB.
  * d/patches
    - 0004-p922_1.patch (useless)
    - 0011-link-against-libmysqlclient-Closes-825081.patch (useless)
    - 0005-fix-FTBF-due-to-missing-cmath-include.patch (upstreamed)
    + 0005-fix-mysql-detection.patch (added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 28 Oct 2016 13:03:23 +0200

tango (9.2.2+dfsg-1~exp4) experimental; urgency=medium

  * merge with 8.1.2c+dfsg-8

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 24 May 2016 21:39:29 +0200

tango (9.2.2+dfsg-1~exp3) experimental; urgency=medium

    + 0005-fix-FTBF-due-to-missing-cmath-include.patch (added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 26 Apr 2016 09:44:04 +0200

tango (9.2.2+dfsg-1~exp2) experimental; urgency=medium

  * debian/patches
    + 0004-p922_1.patch (added)

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Tue, 26 Apr 2016 09:44:04 +0200

tango (9.2.2+dfsg-1~exp1) experimental; urgency=medium

  * Imported Upstream version 9.2.2+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 18 Mar 2016 09:53:10 +0100

tango (9.2.1+dfsg-1~exp1) experimental; urgency=medium

  * Imported Upstream version 9.2.1+dfsg
  * Bump Standards-Version to 3.9.7 (nothing to do)
  * Update xxx.init.d script (Closes: #806409)
  * debian/control
    - Update Vcs-Git
    - Add new binary packages:
      + liblog4tango-dev, liblog4tango-doc,
        libtango9, libtango-dev, libtango-doc
    - remove binary packages:
      + liblog4tango5-dev, liblog4tango5-doc, liblog4tango5-dbg,
        libtango8v5, libtango8-dev, libtango8-doc, libtango8v5-dbg,
        tango-db-dbg, tango-accesscontrol-dbg,
        tango-starter-dbg, tango-test-dbg
    - BuildDepends:
      + debhelper (>= 9.20151219~) to generate the -dbgsym packages.
      + libzmq3-dev -> libzmq5-dev | libzmq3-dev to support backports.
    - BuildDepIndep: added lyx, omniidl and transfig, texlive-font-utils,
        texlive-latex-base in order to build the documentation
    - Remove all the Pre-Depends: ${misc:Pre-Depends} lines which are useless.
    - Support for the new dbconfig-common 2.x
      dbconfig-common -> dbconfig-mysql | dbconfig-no-thanks,
  * debian/copyright
    - updated for tango9
    - repack using Files-Excluded
  * debian/patches
    - deleted (applyed upstream)
      - 0004-fix-upstream-p812_1.diff.patch
      - 0005-forwarded-upstrean-fix-FTBFS-on-sparc64.patch
      - 0006-fix-upstream-p812_2.patch
      - 0007-fix-upstream-p812_3.patch
      - 0008-fix-upsteam-p812_4.patch
    - refreshed
      - 0001-debian-fix_database_scripts.patch
      - 0002-debian-my.cnf.in.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 07 Mar 2016 10:48:59 +0100

tango (8.1.2c+dfsg-8) unstable; urgency=medium

  * debian/pacthes
    + 0010-fix-FTBFS-824459-due-to-missing-cmath.patch (Closes: #824459)
    + 0011-link-against-libmysqlclient-Closes-825081.patch (Closes: #825081)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 24 May 2016 20:06:02 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)+.*/\1/p')

CONFIGURE_OPTS := --with-omni=/usr --disable-static --disable-dbcreate --disable-java --with-doxygen --disable-jpegmmx

export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

# 816173
export LYX_USERDIR_21x=$(CURDIR)/

%:
	dh $@ --with autoreconf

sql:
	./configure $(CONFIGURE_OPTS)
	# use this target to generate the dbconfig-common upgrade script once the debian/changelog is ok
	cat cppserver/database/stored_proc.sql\
	    cppserver/database/update_db.sql > debian/mysql/$(VERSION)
	$(MAKE) distclean

# 816173
override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/.lyx

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_build-indep:
	$(MAKE) -C lib/cpp/log4tango/doc
	$(MAKE) -C doc pdf

override_dh_auto_install-arch:
	dh_auto_install --destdir="$(CURDIR)/debian/tmp/"
	# install dbconfig-common scripts
	install -d debian/tmp/usr/share/dbconfig-common/data/tango-db/install
	install -p -m 644 cppserver/database/create_db.sql debian/tmp/usr/share/dbconfig-common/data/tango-db/install/mysql
	install -d debian/tmp/usr/share/dbconfig-common/data/tango-db/upgrade/mysql
	install -p -m 644 debian/mysql/* debian/tmp/usr/share/dbconfig-common/data/tango-db/upgrade/mysql

	# install scripts used during the configuration
	install -d debian/tmp/usr/share/tango-db
	install -p -m 644 cppserver/database/create_db_tables.sql debian/tmp/usr/share/tango-db/create_db_tables.sql
	install -p -m 644 cppserver/database/stored_proc.sql debian/tmp/usr/share/tango-db/stored_proc.sql
	install -p -m 600 cppserver/database/my.cnf debian/tmp/usr/share/tango-db/my.cnf

override_dh_auto_install-indep:
	$(MAKE) -C lib/cpp/log4tango/doc install DESTDIR=$(CURDIR)/debian/tmp/
	$(MAKE) -C doc install DESTDIR=$(CURDIR)/debian/tmp/
	$(MAKE) -C lib/idl install DESTDIR=$(CURDIR)/debian/tmp/

	# install the tango home dir
	install -d debian/tmp/var/lib/tango

override_dh_install:
	# liblog4tango5v5
	dh_install -p liblog4tango5v5 usr/lib/*/liblog4tango.so.*

	# liblog4tango-dev
	dh_install -p liblog4tango-dev usr/include/tango/log4tango
	dh_install -p liblog4tango-dev usr/lib/*/liblog4tango*.so
	dh_install -p liblog4tango-dev usr/lib/*/pkgconfig/log4tango.pc

	# liblog4tango-doc
	dh_install -p liblog4tango-doc usr/share/doc/log4tango/log4tango-*/api usr/share/doc/liblog4tango-doc/html
	dh_install -p liblog4tango-doc usr/share/man/man3

	# libtango9
	dh_install -p libtango9 usr/lib/*/libtango.so.*

	# libtango-dev
	dh_install -p libtango-dev usr/include/tango/*.*
	dh_install -p libtango-dev usr/include/tango/idl
	dh_install -p libtango-dev usr/lib/*/libtango*.so
	dh_install -p libtango-dev usr/lib/*/pkgconfig/tango.pc

	# libtango-doc
	dh_install -p libtango-doc usr/share/doc/tango/tango.pdf usr/share/doc/libtango-doc
	dh_install -p libtango-doc usr/share/tango/idl usr/share/doc/libtango-doc

	# libtango-tools
	dh_install -p libtango-tools usr/bin/tango_admin usr/lib/tango

	# tango-common
	dh_install -p tango-common var/lib/tango

	# tango-db
	dh_install -p tango-db usr/bin/DataBaseds usr/lib/tango
	dh_install -p tango-db usr/share/tango-db
	dh_install -p tango-db usr/share/dbconfig-common

	# tango-starter
	dh_install -p tango-starter usr/bin/Starter usr/lib/tango

	# tango-accesscontrol
	dh_install -p tango-accesscontrol usr/bin/TangoAccessControl usr/lib/tango

	# tango-test
	dh_install -p tango-test usr/bin/TangoTest usr/lib/tango

	dh_install --list-missing -X.la

override_dh_strip:
	dh_strip -plibtango9 --ddeb-migration='libtango9-dbg (<< 9.2.0~a+dfsg-1~)' || dh_strip
	dh_strip -pliblog4tango5v5 --ddeb-migration='liblog4tango5v5-dbg (<< 9.2.0~a+dfsg-1~)' || dh_strip
	dh_strip -ptango-db --ddeb-migration='tango-db-dbg (<< 9.2.0~a+dfsg-1~)' || dh_strip
	dh_strip -ptango-starter --ddeb-migration='tango-starter-dbg (<< 9.2.0~a+dfsg-1~)' || dh_strip
	dh_strip -ptango-accesscontrol --ddeb-migration='tango-accesscontrol-dbg (<< 9.2.0~a+dfsg-1~)' || dh_strip
	dh_strip -ptango-test --ddeb-migration='tango-test-dbg (<< 9.2.0~a+dfsg-1~)' || dh_strip
	dh_strip -a -Nlibtango9 -Nliblog4tango5v5 -Ntango-db -Ntango-starter -Ntango-accesscontrol -Ntango-test

override_dh_installinit:
	# the tango-accesscontrol device must be started after the tango-db.
	dh_installinit -ptango-accesscontrol --update-rcd-params="defaults 25"
	# the tango-starter device must be started after the tango-db and the tango-accesscontrol.
	dh_installinit -ptango-starter --update-rcd-params="defaults 30"
	dh_installinit -a -Ntango-accesscontrol -Ntango-starter

# Aucun test nécessaire pour la documentation
override_dh_auto_test-indep:

=== debian/watch ===
version=4
#opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
#     http://sf.net/tango-cs/tango-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate
opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
     ftp://ftp.esrf.eu/pub/cs/tango/tango-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate

## tango 9.2.5a%2Bdfsg1

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
     http://sf.net/tango-cs/tango-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate
#opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
#     ftp://ftp.esrf.eu/pub/cs/tango/tango-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate

## tango 9.2.5a+dfsg1

=== pogo/templates/cpp/Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 #	Set default home directories
 #-----------------------------------------
 
-TANGO_HOME   =  /usr/local
+TANGO_HOME   =  /segfs/tango/tmp/Reynald/install/debian7
 CPP_SERVERS  =  $(TANGO_HOME)/cppserver
 
 ifdef no_debug
@@ -60,13 +60,13 @@
 endif
 
 INCLUDE_DIRS =  -I$(TANGO_HOME)/include/tango \
-					 -I/segfs/tango/ORB/omniORB4.1.6/ubuntu1204/include \
+					 -I/segfs/tango/ORB/omniORB4.2.1_p1/debian7/include \
 					 -I.	\
                 -I$(CPP_SERVERS)/include
 
 OBJS_DIR    = obj
 LIB_DIRS    = -L $(TANGO_HOME)/lib \
-				  -L /segfs/tango/ORB/omniORB4.1.6/ubuntu1204/lib
+				  -L /segfs/tango/ORB/omniORB4.2.1_p1/debian7/lib
 
 TARGET_LIB = $(CPP_SERVERS)/lib/libtgclasses.a

=== debian/changelog ===
tango (9.2.5a+dfsg1-2ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 14 Feb 2020 15:20:27 -0300

tango (9.2.5a+dfsg1-2build2) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 02:06:15 +0000

tango (9.2.5a+dfsg1-2build1) bionic; urgency=medium

  * No-change rebuild for omniorb soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Feb 2018 11:38:05 +0000

tango (9.2.5a+dfsg1-2) unstable; urgency=high

  * fix for real #848137.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 16 Jan 2017 18:17:17 +0100

tango (9.2.5a+dfsg1-1) unstable; urgency=high

  * Imported Upstream version 9.2.5a+dfsg1
  * Updated dbconfig-common scripts (Closes: #848137)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 16 Jan 2017 10:58:19 +0100

tango (9.2.5~rc2+dfsg1-1) unstable; urgency=medium

  * New upstream version 9.2.5~rc2+dfsg1
  * d/patches
    - 0005-fix-mysql-detection.patch (upstreamed)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 15 Dec 2016 21:43:38 +0100

=== debian/control ===
Source: tango
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9.20151219~),
               dh-autoreconf,
               libcos4-dev,
               default-libmysqlclient-dev,
               libzmq5-dev | libzmq3-dev,
               omniidl,
               po-debconf,
Build-Depends-Indep: doxygen,
                     ghostscript,
                     lyx,
                     texlive-font-utils,
                     texlive-fonts-recommended,
                     texlive-latex-base,
                     texlive-latex-extra,
                     texlive-latex-recommended,
                     transfig,
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/tango.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/tango.git
Homepage: http://www.tango-controls.org

Package: liblog4tango5v5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: liblog4tango5
Replaces: liblog4tango5
Description: logging for TANGO - shared library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the files necessary for running applications that
 use the log4tango5 library.

Package: liblog4tango-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         liblog4tango5v5 (= ${binary:Version})
Conflicts: liblog4tango4-dev, liblog4tango5-dev
Description: logging for TANGO - development library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the log4tango5 development files.

Package: liblog4tango-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Conflicts: liblog4tango5-doc
Replaces: liblog4tango5-doc
Description: logging for TANGO - documentation
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the documentation of the log4tango5 library.

Package: libtango9
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tango-common
Description: TANGO distributed control system - shared library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL/MariaDB database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the files necessary for running TANGO applications.

Package: libtango-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libcos4-dev,
         liblog4tango-dev,
         libtango9 (= ${binary:Version}),
         libzmq5-dev | libzmq3-dev,
Conflicts: libtango7-dev, libtango8-dev
Description: TANGO distributed control system - development library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL/MariaDB database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the tango9 development files.

Package: libtango-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: TANGO distributed control system - documentation
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL/MariaDB database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the documentation for the libtango9 library.

Package: libtango-tools
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: tango-common (<< 7.2.6+dfsg-2)
Description: TANGO distributed control system - common executable files
 This package provides shared files for the TANGO distributed control
 system, and sets up the required infrastructure.

Package: tango-common
Architecture: all
Multi-Arch: foreign
Section: net
Depends: ${misc:Depends},
         adduser
Description: TANGO distributed control system - common files
 This package provides shared files for the TANGO distributed control
 system, and sets up the required infrastructure. It is for now an
 empty package

Package: tango-db
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dbconfig-mysql | dbconfig-no-thanks,
         libtango-tools,
         lsb-base
Recommends: default-mysql-client
Description: TANGO distributed control system - database server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO database server using MySQL/MariaDB.

Package: tango-starter
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtango-tools,
         lsb-base
Suggests: omninotify
Description: TANGO distributed control system - starter server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO device control server. It can start, stop,
 or report the status of other TANGO components.

Package: tango-accesscontrol
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtango-tools,
         lsb-base,
         tango-db,
         tango-starter
Description: TANGO distributed control system - accesscontrol server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO accesscontrol server. It can be used to
 manage the users and IP addresses that are permitted to access TANGO
 devices.

Package: tango-test
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tango-starter
Description: TANGO distributed control system - test device
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO device which implements all TANGO
 attribute types, and can be used for testing the installation.
